/*
 * @Author: mypx
 * @Date: 2025-10-14 11:25:04
 * @LastEditTime: 2025-10-14 14:00:13
 * @LastEditors: mypx mypx_coder@163.com
 * @Description: 
 */
#ifndef __BSP_COLLECT_H__
#define __BSP_COLLECT_H__
#include <stdint.h>

typedef void (*dma_full_cb_t)(void);

int bsp_light_data_sampling_init(uint16_t *adc_buf, uint16_t length, dma_full_cb_t cb);

int bsp_light_data_sampling_start(void);

int bsp_light_data_sampling_stop(void);

void sampling_tim_elapsed_callback(void);
#endif // __BSP_COLLECT_H__